oce.axis.POSIXct {oce} | R Documentation

## Modified version of axis.POSIXct

### Description

Modified version of axis.POSIXct

### Usage

    oce.axis.POSIXct(side, x, at, tformat, labels = TRUE,
      drawTimeRange=getOption("oceDrawTimeRange"),
      abbreviateTimeRange=FALSE, drawFrequency=FALSE,
      cex=par("cex"), cex.axis=par("cex.axis"), cex.main=par("cex.main"),
      mar=par("mar"), mgp=par("mgp"),
      main="", debug=getOption("oceDebug"), ...)

### Arguments

`side` | as for `axis.POSIXct`.
`x` | as for `axis.POSIXct`.
`at` | as for `axis.POSIXct`.
`tformat` | as `format` for `axis.POSIXct` for now, but eventually will have new features for multiline labels, e.g. day on one line and month on another.
`labels` | as for `axis.POSIXct`.
`drawTimeRange` | boolean, `TRUE` to draw a time range on the opposite side of the plot.
`drawFrequency` | boolean, `TRUE` to show the frequency of sampling in the data
`abbreviateTimeRange` | boolean, `TRUE` to abbreviate the second number in the time range, e.g. dropping the year if it is the same in the first number.
`cex` | size of labels on axes; see `par`("cex").
`cex.axis` | see `par`("cex.axis").
`cex.main` | see `par`("cex.main").
`mar` | value for `par(mar)` for axis
`mgp` | value for `par(mgp)` for axis
`main` | title of plot
`debug` | a flag that turns on debugging. Set to 1 to get a moderate amount of debugging information, or to 2 to get more.
`...` | as for `axis.POSIXct`.

### Details

As `axis.POSIXct` but with axis labels obeying the timezone of `x`. This will not be needed for R 2.9 and later, but is included so that `oce` will work even with earlier versions.

### Value

A vector of times corresponding to axis ticks is returned silently.

### Author(s)

Dan Kelley

### See Also

This is used mainly by `oce.plot.ts`.

[Package oce version 0.9-18 Index]